Bug 70355 - crash (?) when testing sound
Summary: crash (?) when testing sound
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: firstboot (Show other bugs)
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-07-31 19:14 UTC by Alexandre Oliva
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-01 19:44:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2002-07-31 19:14:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1b) Gecko/20020722

Description of problem:
When I ask firstboot to test the sound system on my laptop (Dell Inspiron 8000
with properly-detected ESS Technology ES1983S Maestro-3i PCI Audio), it
terminates, and shortly thereafter I get the X login screen.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install limbo (2) on my Dell laptop
2.Choose to test sound on firstboot

	

Actual Results:  The whole firstboot thing dies, and the boot completes.

Expected Results:  Erhm...  I expected to listen to a song or so.

Additional info:

Behavior is reproducible with /usr/sbin/firstboot --reconfig.

Comment 1 Brent Fox 2002-08-01 18:55:29 UTC
Any error messages from firstboot in /var/log/messages?

Comment 2 Alexandre Oliva 2002-08-01 19:28:14 UTC
Hmm...  I've already overwritten that installation, and I couldn't get the
problem again.  However, I have a guess: I had tested that on a minimal install,
and now I  have a full install.  Perhaps some program that would be used to play
the test sound was missing in the minimal install?  It would be nice if
firstboot would test that the program was there, or perhaps even require it.

Comment 3 Brent Fox 2002-08-01 19:44:30 UTC
Yes, you're right.  redhat-config-soundcards needs to require sox so that
/usr/bin/play is available.  Chances are that the executable was missing, so
things fell apart.  I think I've got it fixed in redhat-config-soundcard-0.9.7-2.  

QA, please verify.

Comment 4 Jay Turner 2002-08-08 12:24:26 UTC
Confirmed that redhat-config-soundcard-0.9.9-1 does indeed require sox now.


Note You need to log in before you can comment on or make changes to this bug.